Subject: bug#14660: Elisp Intro: missing configure script

From: Reinhard Kotucha <[email-masked]>
Date: Thu, 20 Jun 2013 23:57:19 +0200

On 2013-06-19 at 03:14:51 -0400, Glenn Morris wrote:

 > Reinhard Kotucha wrote:
 > 
 > > I downloaded the "Introduction to Programming in Emacs Lisp" written
 > > by Robert J. Chassell.
 > >
 > > The Makefile contains lines like
 > >
 > >   MKDIR_P = @MKDIR_P@
 > 
 > Thanks for the report.
 > You did not say where you downloaded it from, but assuming you meant
 > 
 > http://www.gnu.org/software/emacs/emacs-lisp-intro/texi/emacs-lisp-intro-texi.tar.gz

Hi Glenn, 
yes, since this directory exists I assumed that it contains the
"master sources".
 
 > this is fixed now.

Thanks.  The Makefile works like a charm now.

There is still an issue: The README is quite confusing regarding the
inclusion of .eps files.  And the explanation is even wrong.

When RJC wrote the document, the @image macro certainly didn't exist.
As a workaround he loaded epsf.tex in a @tex environment.

But since everything between "@tex" and "@end tex" is executed within
a group, i.e. the macros defined by epsf.tex are forgotten after "@end
tex", epsf.tex had to be loaded again whenever a new .eps file was
supposed to be included.  Loading such a tiny macro package several
times is certainly not a problem, but the actual cause of the problem
is that TeX allocates file descriptors globally.  Whenever epsf.tex is
loaded, a new file descriptor is allocated.

TeX supports only 16 file descriptors for \read and 16 for \write.
And texinfo already allocates some of them for it's own auxiliary files.

RJC assumed that you can have more .eps files if you have a bigger
computer.  Admittedly, it took me some time to find out what's going
wrong.  I encountered the problem in 1995 when I created a copy on
paper but didn't know how to solve the problem at this time.

Since everything works out of the box nowadays, I recommend to remove
the confusing suggestions from the README file.  Furthermore, there is
no need to support ancient versions of texinfo because a recent
version of texinfo.tex is provided by the package anyway.

Regards,
  Reinhard

-- 
----------------------------------------------------------------------------
Reinhard Kotucha                                      Phone: +49-511-3373112
Marschnerstr. 25
D-30167 Hannover                              mailto:[email-masked]
----------------------------------------------------------------------------
Microsoft isn't the answer. Microsoft is the question, and the answer is NO.
----------------------------------------------------------------------------